Skip to navigation

Post Form Inputs

View as Markdown

Authentication

AuthorizationBearer

OAuth 2.0 Client Credentials Flow. To obtain an access token:

  1. Request API credentials from HINDSITE support to receive your client_id and client_secret

  2. Make a POST request to obtain an access token:

POST https://app.hindsiteind.com/oauth/token
Content-Type: application/x-www-form-urlencoded

grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET
  1. The response will contain your access token:
{
  "access_token": "your_access_token_here",
  "token_type": "Bearer",
  "expires_in": 7200,
  "created_at": 1234567890
}
  1. Include the token in subsequent API requests:
Authorization: Bearer your_access_token_here

Request

This endpoint expects an object.
form_step_idstringRequired
instruction_input_idstringRequired
inputstringOptional

Response

created FormInput
idstringOptional
ULID
inputstringOptional
unformatted_date_inputstringOptional
selected_multi_optionslist of objectsOptional
selected_input_recordslist of objectsOptional
failed_validationslist of stringsOptional
prefixstringOptional
suffixstringOptional
instruction_input_titlestringOptional
instruction_input_idstringOptional
ULID
attachmentslist of objectsOptional
form_step_idstringOptional
ULID
created_atlongOptional

Unix timestamp (seconds since epoch)

updated_atlongOptional

Unix timestamp (seconds since epoch)

conditionalbooleanOptional

True when the input only applies if another input’s answer meets its precondition (see InstructionInput.precondition)

condition_metbooleanOptional

Whether the answer to the triggering input currently meets this input’s precondition. Always true for inputs that are not conditional; a conditional input with condition_met false does not currently apply.

instruction_row_idstring or nullOptional

ULID of the table row this input is a cell of, on tabular steps (see InstructionStep.table). Null for regular inputs.